const baseUrl = "http://61.164.207.46:8000/yos/rest/index";
// const baseUrl = "https://oms.idcgroup.com.cn:8079/yos/rest/index";

let count = null;
class HTTP {
    request({
        url,
        data = {},
        method = "POST",
        header = {
            'content-type': 'application/json'
        },
        loading = true
    }) {
        return new Promise((resolve, reject) => {
            this._request(url, resolve, reject, data, method, header, loading);
        })
    }
    _request(url, resolve, reject, data, method, header, loading) {
        /* if (loading) wx.showLoading({
            title: '加载中...',
            mask: true
        }) */
        wx.request({
            url: baseUrl + url,
            data: data,
            method: method,
            header: header,
            timeout: 60000,
            success: res => resolve(res.data),
            fial: err => reject(err),
            complete: (res) => {
                // if (loading) wx.hideLoading()
                if (res.errMsg != 'request:ok') {
                    wx.showToast({
                        title: '网络异常，请重新进入',
                        icon: "none"
                    })
                } else if (res.data.msg == '登陆状态已过期，请重新登陆！') {
                    clearTimeout(count);
                    wx.showToast({
                        title: '登陆状态已过期，请重新登陆！',
                        icon: "none",
                        mask: true
                    })
                    count = setTimeout(() => {
                        wx.reLaunch({
                            url: '/pages/login/phone',
                        });
                    }, 1000)
                }
            }
        })
    }
}
export {
    HTTP
}